# twoWayGPBEFoam

twoWayGPBEFoam is an open-source mesoscopic Eulerian QBMM solver for monokinetic bubbly flows. The solver is implemented within the OpenFOAM software framework. Unlike the existing macroscopic two-fluid model solver twoPhaseEulerFoam, it can predict the size segregation phenomenon and the size-conditional velocities of the disperse phase, although it will not be able to predict the particle trajectory crossing. 

# Compile

Before compiling twoWayGPBEFoam, users should make sure OpenFOAM-5.0/6.0/7.0 is installed properly. twoWayGPBEFoam library and solvers can be compiled by the following command:

./Allwmake

# Test case tuturials

There are several test cases for the users to investigate the algorithm. They are located at

twoWayGPBEFoam/tutorials

in which one-way and two-way coupled test cases are prepared separately. Users can run the test case by the following command:

./Allrun

Users are suggested to use ParaView to visualize and post-process the data.

# Code structure

The moments transporting algorithm code can be found in src. The coupling algorithm codes can be found in solvers. Users are suggested to the reference for more information about the code structure. In the following, the directory structure is briefly summarized:

src
  QBMM
    MOM -- moments transporting algorithm
    momentsInversion -- moments inversion algorithm
    parcel -- class storing bubbles properties
    Vikas -- high order Vikas realizable scheme
    subModels -- force models, time schemes and others
solvers
  oneWayGPBEFoam -- one-way coupled solver
  twoWayGPBEFoam -- two-way coupled solver

# Reference

Li, D., Marchisio, D., Hasse, C. and Lucas, D., 2019. twoWayGPBEFoam: An open-source Eulerian QBMM solver for monokinetic bubbly flows. Computer Physics Communications, in press. 


