dragSp.primitiveFieldRef() = 0.0;

Su.primitiveFieldRef() = vector::zero;

preDispersed.primitiveFieldRef() = vector::zero;

if (coupledMomentum)
{
    forAll(GPBE->weights(), kth)
    {
        volVectorField Ur(Uc - GPBE->particleU(kth));

        dragSp += GPBE->Kd()[kth]/rhoc;

        preDispersed += GPBE->Kd()[kth]*GPBE->particleU(kth);

        Su += GPBE->alphaSequence()[kth]
           *GPBE->weights()[kth]/GPBE->mom()[0]
           *(
                GPBE->liftF()[kth]
              + GPBE->wallLubF()[kth]
            );
    }
}

fvVectorMatrix UcEqn
(
    fvm::ddt(GPBE->alphac(), Uc) + fvm::div(alphaPhic, Uc)
  - fvm::Sp(fvc::ddt(GPBE->alphac()) + fvc::div(alphaPhic), Uc)
  + continuousPhaseTurbulence->divDevRhoReff(Uc)
 ==
  - fvm::Sp(dragSp, Uc)
);

UcEqn.relax();

volScalarField rAUc(1.0/UcEqn.A());

surfaceScalarField rAUcf("Dp", fvc::interpolate(rAUc));

surfaceScalarField phicForces
(
    fvc::flux(rAUc*preDispersed/rhoc)
   -(
        fvc::interpolate(rAUc*(Su)) & mesh.Sf()
    )
);

if (pimple.momentumPredictor())
{
    solve
    (
        UcEqn
     ==
        fvc::reconstruct
        (
            phicForces/rAUcf - fvc::snGrad(p)*mesh.magSf()
        )
    );
}
