IOdictionary GPBEProperties
(
    IOobject
    (
        "GPBEProperties",
        runTime.constant(),
        mesh,
        IOobject::MUST_READ,
        IOobject::NO_WRITE
    )
);

autoPtr<MOM> GPBE(MOM::New(mesh, GPBEProperties));

volScalarField dragSp
(
    IOobject
    (
        "dragSp",
        runTime.timeName(),
        mesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    GPBE->Kd()[0]/rhoc,
    zeroGradientFvPatchField<scalar>::typeName
);

volVectorField Su 
(
    IOobject
    (
        "Su",
        runTime.timeName(),
        mesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    mesh,	
    dimensionedVector
    (
        "Su",
        g.dimensions(),
        vector::zero	
    ),
    zeroGradientFvPatchField<scalar>::typeName
);

volVectorField preDispersed
(
    IOobject
    (
        "preDispersed",
        runTime.timeName(),
        mesh,
        IOobject::NO_READ,
        IOobject::AUTO_WRITE
    ),
    GPBE->Kd()[0]*Uc,
    zeroGradientFvPatchField<scalar>::typeName
);

Switch coupledMomentum
(
    GPBEProperties.lookup("coupledMomentum")
);

surfaceScalarField phid
(
    IOobject
    (
        "phi.air",
        runTime.timeName(),
        mesh,
        IOobject::NO_READ,
        IOobject::NO_WRITE
    ),
    linearInterpolate(Uc) & mesh.Sf()
);

