/*******************************************************************************
@GPBEFoam:           3D fully coupled Eulerian-QBMM library for multiphase flows

@Authors:            Dongyue Li (HZDR & Dyfluid, Programmer)
                     Daniele Marchisio (Politecnico di Torino, Co-PI)
                     Christian Hasse (TU Darmstadt, Co-PI)
                     Dirk Lucas (Helmholtz-Zentrum Dresden-Rossendorf, Investor)

@Reference:  	     D. Li, D. Marchisio, C. Hasse, D. Lucas, twoWayGPBEFoam and 
                     oneWayGPBEFoam: open-source Eulerian-QBMM solvers for 
                     multiphase flows. Computer Physics Communication, Submitted

@History:            ver 1.0, 07/31/18 

@Info:	             The released Eulerian-QBMM library is based on OpenFOAM-5.x 
                     oneWayGPBEFoam can be employed to simulate one-way coupled 
                     problems. twoWayGPBEFoam can be employed to simulate
                     two-way coupled problems.
*******************************************************************************/

#include "parcel.H"


const Foam::label& Foam::parcel::cellI() const
{
    return cellI_;
}


const Foam::vector& Foam::parcel::Ud() const
{
    return Ud_;
}


const Foam::vector& Foam::parcel::Uc() const
{
    return Uc_;
}


const Foam::scalar& Foam::parcel::k() const
{
    return k_;
}


const Foam::scalar& Foam::parcel::nut() const
{
    return nut_;
}


const Foam::vector& Foam::parcel::curlUc() const
{
    return curlUc_;
}


const Foam::vector& Foam::parcel::Ur() const
{
    return Ur_;
}


const Foam::scalar& Foam::parcel::magUr() const
{
    return magUr_;
}


const Foam::scalar& Foam::parcel::rhod() const
{
    return rhod_;
}


const Foam::scalar& Foam::parcel::rhoc() const
{
    return rhoc_;
}


const Foam::scalar& Foam::parcel::muc() const
{
    return muc_;
}


const Foam::scalar& Foam::parcel::d() const
{
    return diameter_;
}


const Foam::scalar& Foam::parcel::phaseFraction() const
{
    return phaseFraction_;
}


const Foam::scalar& Foam::parcel::alpha() const
{
    return alpha_;
}


const Foam::vector* Foam::parcel::gradPhaseFraction() const
{
    return gradPhaseFraction_;
}


const Foam::label& Foam::parcel::kth() const
{
    return kth_;
}
