/*******************************************************************************
@GPBEFoam:      3D fully coupled Eulerian-QBMM library for multiphase flows

@Authors:       Dongyue Li (HZDR & Dyfluid, Programmer)
                Daniele Marchisio (Politecnico di Torino, Co-PI)
                Christian Hasse (TU Darmstadt, Co-PI)
                Dirk Lucas (Helmholtz-Zentrum Dresden-Rossendorf, Investor)

@Reference:     D. Li, D. Marchisio, C. Hasse, D. Lucas, twoWayGPBEFoam and 
                oneWayGPBEFoam: open-source Eulerian-QBMM solvers for multiphase 
                flows. Computer Physics Communication, Submitted

@History:       ver 1.0, 07/31/18 

@Info:          The released Eulerian-QBMM library is based on OpenFOAM-5.x. 
                oneWayGPBEFoam can be employed to simulate one-way coupled 
                problems. twoWayGPBEFoam can be employed to simulate two-way 
                coupled problems.
*******************************************************************************/

#ifndef growth_H
#define growth_H

#include "pointProcessModel.H"


namespace Foam
{

class growth
:
    public pointProcessModel
{
protected:

    //- Protected member functions

        //- Disallow copy construct
        growth(const growth&);

        //- Disallow default bitwise assignment
        void operator=(const growth&);


public:

    //- Runtime type information
    TypeName("growth");   


    //- Constructers

        growth
        (
            const word& momInvModel
        );

        virtual ~growth()
        {}


    //- Member functions

        void update
        (
            PtrList<volScalarField>& Source
        );
};


} // End namespace Foam


#endif
